- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# dirac::EntropyCorrector Class Reference

A class used for correcting estimates of entropy. More...

`#include <common.h>`

List of all members.

## Public Member Functions
| EntropyCorrector (int depth)
| Constructor.
float | Factor (const int bandnum, const FrameSort fsort, const CompSort c) const
| Returns the correction factor.
void | Update (int bandnum, FrameSort fsort, CompSort c, int est_bits, int actual_bits)
| Update the correction factors.

## Detailed Description

A class used for correcting estimates of entropy.

A class used by the encoder for correcting estimates of entropy. Used for selecting quantisers in subband coefficient coding. Factors can be adjusted in the light of previous experience.

Definition at line 233 of file common.h.

## Constructor & Destructor Documentation

EntropyCorrector::EntropyCorrector | ( | int | depth | ) |

  | Constructor. Constructs arrays of correction factors of size. Parameters:
  | depth | the depth of the wavelet transform.
Definition at line 68 of file common.cpp.

## Member Function Documentation

float EntropyCorrector::Factor | ( | const int | bandnum,
|  | const FrameSort | fsort,
|  | const CompSort | c
| ) | const

| Returns the correction factor. Returns the correction factor for the band given also the type of frame and component. Definition at line 76 of file common.cpp.

void EntropyCorrector::Update | ( | int | bandnum,
|  | FrameSort | fsort,
|  | CompSort | c,
|  | int | est_bits,
|  | int | actual_bits
| ) |

  | Update the correction factors. Update the factors for a given subband, component and frame type. Parameters:
  | bandnum | the number of the subband to update
  | fsort | frame type
  | c | component type
  | est_bits | the number of bits it was estimated would be used
  | actual_bits | the number of bits that actually were used
Definition at line 133 of file common.cpp. Referenced by dirac::CompCompressor::Compress().

The documentation for this class was generated from the following files:

- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_common/common.h
- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_common/common.cpp